log4cplus::spi::LoggerFactory Class Referenceabstract

Implement this interface to create new instances of Logger or a sub-class of Logger. More...

`#include <loggerfactory.h>`

Inheritance diagram for log4cplus::spi::LoggerFactory:
[legend]

## Public Member Functions

virtual Logger | makeNewLoggerInstance (const log4cplus::tstring &name, Hierarchy &h)=0
| Creates a new `Logger` object.
virtual | ~LoggerFactory ()=0

## Protected Member Functions

virtual LoggerImpl * | makeNewLoggerImplInstance (const log4cplus::tstring &name, Hierarchy &h)=0

## Detailed Description

Implement this interface to create new instances of Logger or a sub-class of Logger.

Definition at line 48 of file loggerfactory.h.

## Constructor & Destructor Documentation

## ~LoggerFactory()

virtual log4cplus::spi::LoggerFactory::~LoggerFactory | ( |  | ) |

pure virtual

## Member Function Documentation

## makeNewLoggerImplInstance()

virtual LoggerImpl * log4cplus::spi::LoggerFactory::makeNewLoggerImplInstance | ( | const log4cplus::tstring & | name,
|  | Hierarchy & | h )

protected pure virtual

Implemented in log4cplus::DefaultLoggerFactory.

## makeNewLoggerInstance()

virtual Logger log4cplus::spi::LoggerFactory::makeNewLoggerInstance | ( | const log4cplus::tstring & | name,
|  | Hierarchy & | h )

pure virtual

Creates a new `Logger` object.

Implemented in log4cplus::DefaultLoggerFactory.

The documentation for this class was generated from the following file:

- loggerfactory.h